//
//  DCSerialNumberValidatorFactory.h
//  DCRegistration
//
//  Created by Philipp on 2/14/10.
//  Copyright 2010 Dare to be Creative Ltd.. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "DCSerialNumberValidating.h"


@interface DCSerialNumberValidatorFactory : NSObject {

}

+(id<DCSerialNumberValidating>) validatorWithPrefix:(NSString *)aPrefix salt:(NSUInteger) aSalt;

+(id<DCSerialNumberValidating>) eSellerateValidatorWithPublisherKey:(NSString *) publisherKey;

@end
