//
//  DefaultRegistrationDelegate.h
//  DCRegistration
//
//  Created by Philipp on 2/13/10.
//  Copyright 2010 Dare to be Creative Ltd.. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "RegistrationDelegate.h"
#import "RegistrationController.h"


@interface DefaultRegistrationDelegate : NSObject <RegistrationDelegate> {
	IBOutlet NSWindow *registerWindow;
	IBOutlet NSView *containerView, *registerView, *registeredView, *willExpireView, *hasExpiredView, *upgradableWillExpire, *upgradableHasExpired;
	RegistrationController *registrationController;
	BOOL invalidLicenseEntered;
}

#pragma mark Properties

@property (retain) RegistrationController *registrationController;

@property (assign) BOOL invalidLicenseEntered;

@property (readonly) BOOL showInvalidLicenseMessage;


#pragma mark Action methods

- (IBAction) closeWindow:(id)sender;

- (IBAction) cancelRegister:(id)sender;


@end
